#ifndef __MTAC_PIN_DEFS_H
#define __MTAC_PIN_DEFS_H


#include <linux/mts_io.h>

// gpio pins for Accessory Card 1
#define	AP1_RESET	{\
	.name = "AP1_RESET",\
	.pin = {\
		.gpio = M_AP1_NRESET,\
		.flags = GPIOF_OUT_INIT_HIGH,\
		.label = "ap1-reset",\
	}\
}

#define AP1_GPIO1 { \
	.name = "AP1_GPIO1",\
	.pin = {\
		.gpio = M_AP1_GPIO1,\
		.flags = GPIOF_OUT_INIT_LOW,\
		.label = "ap1-gpio1",\
	},\
	.active_low = 1,\
}

#define AP1_GPIO2 { \
	.name = "AP1_GPIO2", \
	.pin = { \
		.gpio = M_AP1_GPIO2, \
		.flags = GPIOF_OUT_INIT_LOW, \
		.label = "ap1-gpio2", \
	} \
}

#define AP1_GPIO3 { \
	.name = "AP1_GPIO3", \
	.pin = { \
		.gpio = M_AP1_GPIO3, \
		.flags = GPIOF_OUT_INIT_LOW, \
		.label = "ap1-gpio3", \
	} \
}

#define AP1_GPIO4 { \
	.name = "AP1_GPIO4", \
	.pin = { \
		.gpio = M_AP1_GPIO4, \
		.flags = GPIOF_OUT_INIT_LOW, \
		.label = "ap1-gpio4", \
	}\
}

#define AP1_INTERRUPT1 { \
	.name = "AP1_INTERRUPT1", \
	.pin = { \
		.gpio = M_AP1_NINT1, \
		.flags = GPIOF_IN, \
		.label = "ap1-interrupt1", \
	} \
}

#define AP1_INTERRUPT2 { \
	.name = "AP1_INTERRUPT2", \
	.pin = { \
		.gpio = M_AP1_NINT2, \
		.flags = GPIOF_IN, \
		.label = "ap1-interrupt2", \
	} \
}

// gpio pins for Accessory Card 2
#define AP2_RESET { \
	.name = "AP2_RESET", \
	.pin = { \
		.gpio = M_AP2_NRESET, \
		.flags = GPIOF_OUT_INIT_HIGH, \
		.label = "ap2-reset", \
	} \
}

#define AP2_GPIO1 { \
	.name = "AP2_GPIO1", \
	.pin = { \
		.gpio = M_AP2_GPIO1, \
		.flags = GPIOF_OUT_INIT_LOW, \
		.label = "ap2-gpio1", \
	}, \
	.active_low = 1, \
}

#define AP2_GPIO2 { \
	.name = "AP2_GPIO2", \
	.pin = { \
		.gpio = M_AP2_GPIO2, \
		.flags = GPIOF_OUT_INIT_LOW, \
		.label = "ap2-gpio2", \
	} \
}

#define AP2_GPIO3 { \
	.name = "AP2_GPIO3", \
	.pin = { \
		.gpio = M_AP2_GPIO3, \
		.flags = GPIOF_OUT_INIT_LOW, \
		.label = "ap2-gpio3", \
	} \
}

#define AP2_GPIO4 { \
	.name = "AP2_GPIO4", \
	.pin = { \
		.gpio = M_AP2_GPIO4, \
		.flags = GPIOF_OUT_INIT_LOW, \
		.label = "ap2-gpio4", \
	} \
}

#define AP2_INTERRUPT1 { \
	.name = "AP2_INTERRUPT1", \
	.pin = { \
		.gpio = M_AP2_NINT1, \
		.flags = GPIOF_IN, \
		.label = "ap2-interrupt1", \
	} \
}

#define AP2_INTERRUPT2 { \
	.name = "AP2_INTERRUPT2", \
	.pin = { \
		.gpio = M_AP2_NINT2, \
		.flags = GPIOF_IN, \
		.label = "ap2-interrupt2", \
	} \
}

//pins for MTCDT-0.2 HW

#define AP1_GPIO3_MTCDT0_2 { \
	.name = "AP1_GPIO3", \
	.pin = { \
		.gpio = M_AP1_GPIO3_MTCDT0_2, \
		.flags = GPIOF_OUT_INIT_LOW, \
		.label = "ap1-gpio3", \
	} \
}

#define AP1_GPIO4_MTCDT0_2 { \
	.name = "AP1_GPIO4", \
	.pin = { \
		.gpio = M_AP1_GPIO4_MTCDT0_2, \
		.flags = GPIOF_OUT_INIT_LOW, \
		.label = "ap1-gpio4", \
	}\
}

#define AP2_GPIO3_MTCDT0_2 { \
	.name = "AP2_GPIO3", \
	.pin = { \
		.gpio = M_AP2_GPIO3_MTCDT0_2, \
		.flags = GPIOF_OUT_INIT_LOW, \
		.label = "ap2-gpio3", \
	} \
}

#define AP2_GPIO4_MTCDT0_2 { \
	.name = "AP2_GPIO4", \
	.pin = { \
		.gpio = M_AP2_GPIO4_MTCDT0_2, \
		.flags = GPIOF_OUT_INIT_LOW, \
		.label = "ap2-gpio4", \
	}\
}

#define AP1_CDONE { \
	.name = "AP1_CDONE", \
	.pin = { \
		.gpio = M_AP1_GPIO1, \
		.flags = GPIOF_IN, \
		.label = "ap1-cdone", \
	},\
}

#define AP1_CRESET { \
	.name = "AP1_CRESET", \
	.pin = { \
		.gpio = M_AP1_GPIO2, \
		.flags = GPIOF_OUT_INIT_HIGH, \
		.label = "ap1-creset", \
	} \
}

#define AP2_CDONE { \
	.name = "AP2_CDONE", \
	.pin = { \
		.gpio = M_AP2_GPIO1, \
		.flags = GPIOF_IN, \
		.label = "ap2-cdone", \
	},\
}

#define AP2_CRESET { \
	.name = "AP2_CRESET", \
	.pin = { \
		.gpio = M_AP2_GPIO2, \
		.flags = GPIOF_OUT_INIT_HIGH, \
		.label = "ap2-creset", \
	} \
}

#define AP1_BOOT { \
	.name = "AP1_BOOT", \
	.pin = { \
		.gpio = M_AP1_GPIO1, \
		.flags = GPIOF_OUT_INIT_LOW, \
		.label = "ap1-boot", \
	},\
}

#define AP2_BOOT { \
	.name = "AP2_BOOT", \
	.pin = { \
		.gpio = M_AP2_GPIO1, \
		.flags = GPIOF_OUT_INIT_LOW, \
		.label = "ap2-boot", \
	},\
}

#endif
